import { HttpClient } from '@angular/common/http';
import { ReverseOptions, ReverseGeometry, SuggestOptions, LookupOptions } from './locatieserver.model';
export declare class GeocoderService {
    private http;
    geocoderBaseUrl: string;
    constructor(http: HttpClient);
    suggest(query: string, options?: SuggestOptions): Promise<{
        collations: any[];
        places: {
            id: string;
            type: string;
            weergavenaam: string;
            score: number;
            highlight: any;
        }[];
    }>;
    suggest$(query: string, options?: SuggestOptions): import("rxjs/internal/Observable").Observable<{
        collations: any[];
        places: {
            id: string;
            type: string;
            weergavenaam: string;
            score: number;
            highlight: any;
        }[];
    }>;
    lookup(id: string, options?: LookupOptions): Promise<{}>;
    lookup$(id: string, options?: LookupOptions): import("rxjs/internal/Observable").Observable<{}>;
    free(searchTerm: string, options?: SuggestOptions): Promise<any[]>;
    free$(searchTerm: string, options?: SuggestOptions): import("rxjs/internal/Observable").Observable<any[]>;
    reverse(location: ReverseGeometry, options?: ReverseOptions): Promise<any[]>;
    reverse$(location: ReverseGeometry, options?: ReverseOptions): import("rxjs/internal/Observable").Observable<any[]>;
    private formatCollations;
    private formatPlaces;
    /**
     * Parse WKT in lookup response.
     */
    private formatLookupResponse;
    private formatReverseResponse;
}
